local Rx = require 'Rx'

local ConnectableObservable = Rx.ConnectableObservable

--------------------------------------------------------------------------------

return function(self, subjectOrSubjectFactory, selector)

    return ConnectableObservable(self, subjectOrSubjectFactory, selector)

end
